/*    help.c - library module for PWGEN program
**    Copyright (C) 1999  Adel I. Mirzazhanov <adel@altair.alatau.kz>
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*==========================================================
** NAME		help.c
** TYPE		LIBRARY PROGRAM MODULE
** DESCRIPTION	help module of PWGEN program
** INPUT	NONE
** OUTPUT	NONE
** RETURN	NONE
**
** STARTTED AT	07/07/99
** AUTHOR	ADEL I. MIRZAZHANOV
** ENDED AT	DD/MM/YY
==========================================================*/

#include <stdio.h>
#include <stdlib.h>
#include "pwgen.h"

/*==========================================================
** NAME		print_help
** TYPE		FUNCTION
** DESCRIPTION	void print_help(void);
** INPUT	NONE
** OUTPUT	prints help infomation;
** RETURN	NONE
**
** STARTTED AT	07/07/99
** AUTHOR	ADEL I. MIRZAZHANOV
** ENDED AT	DD/MM/YY
==========================================================*/
void print_help(void)
    {
     unsigned short int symbol = 0;
     unsigned short int spec[32] = { 33, 34, 35, 36, 37, 38, 39, 40, 41, 42,
				    43, 44, 45, 46, 47, 58, 59, 60, 61, 62,
				    63, 64, 91, 92, 93, 94, 95, 96, 123, 124,
				    125, 126 };

     printf ("PWGEN v0.1 is a password generation tool\n");
     printf ("Usage: pwgen [-S] [-N] [-C] [-L]\n");
     printf ("             [-r]\n");
     printf ("             [-n num] [-l length] [-h]\n");
     printf ("Symbols sets to be used in password generation:\n");
     printf ("SPECIAL: ");
     for(symbol = 0; symbol <= 31; symbol++)
         printf("%c",spec[symbol]);
     printf ("\nNUMERAL: 1234567890");
     printf ("\nCAPITAL: ABCDEFGHIJKLMNOPQRSTUVWXYZ");
     printf ("\nLETTERS: abcdefghijklmnopqrstuvwxyz\n");
     printf ("\nOPTIONS:\n");
     printf ("   -S          use SPECIAL symbols set\n");
     printf ("   -N          use NUMERAL symbols set\n");
     printf ("   -C          use CAPITAL symbols set\n");
     printf ("   -L          use LETTERS symbols set\n");
     printf ("   -r          use random init sequence for password generation\n");
     printf ("   -n num      generate <num> number of password\n");
     printf ("   -l length   length of password\n");
     printf ("   -h          print help screen\n");
     printf ("\nDEFAULT OPTIONS:\n");
     printf ("pwgen -S -N -C -L -n 10 -l 8\n");
    }


